<?php
// required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../config/database.php';
include_once '../objects/install_items.php';
date_default_timezone_set('Asia/Rangoon');
session_start();

$database = new Database();
$db = $database->getConnection();
 
$install_items = new InstallItems($db);
$data = json_decode(file_get_contents("php://input"));

$install_items->category = $data->category;	
$install_items->item_code = $data->item_code;	
$install_items->item_name = $data->item_name;	
$install_items->unit = $data->unit;	
$install_items->entry_by =$_SESSION['user'];	
$install_items->entry_date_time =  date("Y-m-d H:i:s");	

if($install_items->exist()){
	$arr = array(
		"message" => "duplicate"
	);
}else if($install_items->create()){
	$arr = array(
		"message" => "created"
	);
}else{
	$arr = array(
		"message" => "error"
	);
}

echo json_encode($arr);	
?>